## org.dom4j
Interface ElementHandler

public interface ElementHandler

`ElementHandler` interface defines a handler of `Element` objects. It is used primarily in event based processing models such as for processing large XML documents as they are being parsed rather than waiting until the whole document is parsed.

Version:
  $Revision: 1.8 $
Author:
  James Strachan

Method Summary
`void` `onEnd(ElementPath elementPath)` Called by an event based processor when an elements closing tag is encountered.
`void` `onStart(ElementPath elementPath)` Called by an event based processor when an elements openning tag is encountered.

Method Detail

### onStart

    public void onStart(ElementPath elementPath)

  Called by an event based processor when an elements openning tag is encountered.

  Parameters:
    `elementPath` - is the current `ElementPath` to process

### onEnd

    public void onEnd(ElementPath elementPath)

  Called by an event based processor when an elements closing tag is encountered.

  Parameters:
    `elementPath` - is the current `ElementPath` to process

Copyright © 2001-2005 MetaStuff Ltd.. All Rights Reserved.